> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a health goal

> Update a health goal (target, due date, status, or note).



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /goals/{id}
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /goals/{id}:
    post:
      summary: Update a health goal
      description: Update a health goal (target, due date, status, or note).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                title:
                  type: string
                  minLength: 1
                metric:
                  type: string
                target_value:
                  type: number
                target_unit:
                  type: string
                target_direction:
                  type: string
                  enum:
                    - decrease
                    - increase
                    - maintain
                due_date:
                  type: string
                status:
                  type: string
                  enum:
                    - active
                    - achieved
                    - archived
                note:
                  type: string
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````